Summary: SR programming language
Name: SR
Version: 2.3.2
Release: 1_RH6
Copyright: Public Domain
Group: Development/Languages
Source: SR-2.3.2.tar.Z
Patch0: SR.redhat.patch
Patch1: SR.linux-x86.patch
BuildRoot: /usr/tmp/SR
URL: http://www.cs.arizona.edu/sr/

%description
SR is a language for parallel and distributed programming from the University
of Arizona. SR uses a few well-integrated mechanisms for concurency to provide
flexible, yet efficient, support for parallel and distributed programming.

%prep
%setup -c
%patch0 -p1
%ifarch i386
%patch1 -p1
%endif

%build
make CFLAGS="${RPM_OPT_FLAGS}" CC=gcc

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/{usr/{bin,lib/SR,man/{man1,man3,man5}}}
make install

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%doc README Authors Systems Versions
%doc vsuite/ doc/ ps/ notes/
/usr/bin/ccr2sr
/usr/bin/csp2sr
/usr/bin/m2sr
/usr/bin/sr
#/usr/bin/srgrind
/usr/bin/srl
/usr/bin/srlatex
/usr/bin/srm
/usr/bin/srprof
/usr/bin/srtex
/usr/lib/SR/SRWin.impl
/usr/lib/SR/SRWin.o
/usr/lib/SR/SRWin.spec
/usr/lib/SR/SRanimator.impl
/usr/lib/SR/SRanimator.o
/usr/lib/SR/SRanimator.spec
/usr/lib/SR/SRgetopt.impl
/usr/lib/SR/SRgetopt.o
/usr/lib/SR/SRgetopt.spec
/usr/lib/SR/ccr2sr.h
/usr/lib/SR/csp2sr.h
/usr/lib/SR/m2sr.h
/usr/lib/SR/sr-mode.el
/usr/lib/SR/sr.h
/usr/lib/SR/srlatex.sty
/usr/lib/SR/srlib.a
%config(noreplace) /usr/lib/SR/srmap
/usr/lib/SR/srmulti.h
/usr/lib/SR/srwin.o
/usr/lib/SR/srx
/usr/man/man1/ccr2sr.1
/usr/man/man1/csp2sr.1
/usr/man/man1/m2sr.1
/usr/man/man1/sr.1
#/usr/man/man1/srgrind.1
/usr/man/man1/srl.1
/usr/man/man1/srlatex.1
/usr/man/man1/srm.1
/usr/man/man1/srprof.1
/usr/man/man1/srtex.1
/usr/man/man3/sranimator.3
/usr/man/man3/srgetopt.3
/usr/man/man3/srwin.3
/usr/man/man5/srmap.5
/usr/man/man5/srtrace.5

%changelog
* Fri Sep  3 1999 Vasile Gaburici <gaburici@kermit.cs.pub.ro>
- Mark srmap as config file
- MultiSR enabled (x86-linux) when appropriate
- Compile with optimizations
- URL changed
- Dropped linux & glibc21 patches
- Upgrading to 2.3.2 saved the day

* Thu Sep  2 1999 Vasile Gaburici <gaburici@kermit.cs.pub.ro>
- Grrr... it's still broken (sr compiler gives syntax errs on some examples)
- Patched & built against glibc-2.1.1-6 with flex-2.5.4a (RedHat 6.0)
- srgrind (troff formatter for SR) is not built
- Update spec for rpm 3.0

* Thu Oct 22 1998 Vasile Gaburici <gaburici@kermit.cs.pub.ro>
- First build ;-)
- It lacks xtango and vgrind support
